Package be.cin.mycarenet._1_0.carenet.types

# Class SinglePalliativeCareResponse

java.lang.Object
be.cin.mycarenet._1_0.carenet.types.SinglePalliativeCareResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:16:04+02:00", comments="JAXB RI v4.0.5") public class SinglePalliativeCareResponse extends Object implements Serializable

Java class for SinglePalliativeCareResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="SinglePalliativeCareResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <sequence>
                 <element name="CareReceiverId" type="{urn:be:cin:mycarenet:1.0:carenet:types}ExtCareReceiverStrictIdType"/>
                 <element name="MessageFault" type="{urn:be:cin:mycarenet:1.0:carenet:types}MessageFaultType"/>
               </sequence>
               <sequence>
                 <element name="CareReceiverDetail" type="{urn:be:cin:mycarenet:1.0:carenet:types}ExtCareReceiverDetailType"/>
                 <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}PalliativeCareResponseDetail"/>
               </sequence>
             </choice>
             <element ref="{urn:be:cin:mycarenet:1.0:carenet:types}PalliativeCareDetail"/>
           </sequence>
           <attGroup ref="{urn:be:cin:mycarenet:1.0:carenet:types}MessageHeader"/>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SinglePalliativeCareResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ExtCareReceiverDetailType`
  `getCareReceiverDetail()`
  Gets the value of the careReceiverDetail property.
  `ExtCareReceiverStrictIdType`
  `getCareReceiverId()`
  Gets the value of the careReceiverId property.
  `MessageFaultType`
  `getMessageFault()`
  Gets the value of the messageFault property.
  `MessageNameType`
  `getMessageName()`
  The message name.
  `PalliativeCareDetail`
  `getPalliativeCareDetail()`
  Gets the value of the palliativeCareDetail property.
  `PalliativeCareResponseDetail`
  `getPalliativeCareResponseDetail()`
  Gets the value of the palliativeCareResponseDetail property.
  `String`
  `getReceiverReference()`
  Should not be provided, only for return messages.
  `String`
  `getSenderReference()`
  Contains the message reference of the sender.
  `String`
  `getVersion()`
  The version number of the message.
  `boolean`
  `isDuplicate()`
  A Boolean that indicates if the message is a duplicate.
  `boolean`
  `isSynchronous()`
  Determines if the message is received in Synchronous or Asynchronous flow.
  `boolean`
  `isTestFlag()`
  A Boolean that indicates if the message is a test message.
  `void`
  `setCareReceiverDetail(ExtCareReceiverDetailType value)`
  Sets the value of the careReceiverDetail property.
  `void`
  `setCareReceiverId(ExtCareReceiverStrictIdType value)`
  Sets the value of the careReceiverId property.
  `void`
  `setDuplicate(boolean value)`
  Sets the value of the duplicate property.
  `void`
  `setMessageFault(MessageFaultType value)`
  Sets the value of the messageFault property.
  `void`
  `setMessageName(MessageNameType value)`
  Sets the value of the messageName property.
  `void`
  `setPalliativeCareDetail(PalliativeCareDetail value)`
  Sets the value of the palliativeCareDetail property.
  `void`
  `setPalliativeCareResponseDetail(PalliativeCareResponseDetail value)`
  Sets the value of the palliativeCareResponseDetail property.
  `void`
  `setReceiverReference(String value)`
  Sets the value of the receiverReference property.
  `void`
  `setSenderReference(String value)`
  Sets the value of the senderReference property.
  `void`
  `setSynchronous(boolean value)`
  Sets the value of the synchronous property.
  `void`
  `setTestFlag(boolean value)`
  Sets the value of the testFlag property.
  `void`
  `setVersion(String value)`
  Sets the value of the version property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### SinglePalliativeCareResponse

    public SinglePalliativeCareResponse()

- ## Method Details

  - ### getCareReceiverDetail

    public ExtCareReceiverDetailType getCareReceiverDetail()
    Gets the value of the careReceiverDetail property.
    Returns:
      possible object is `ExtCareReceiverDetailType`

  - ### setCareReceiverDetail

    public void setCareReceiverDetail(ExtCareReceiverDetailType value)
    Sets the value of the careReceiverDetail property.
    Parameters:
      `value` - allowed object is `ExtCareReceiverDetailType`

  - ### getPalliativeCareResponseDetail

    public PalliativeCareResponseDetail getPalliativeCareResponseDetail()
    Gets the value of the palliativeCareResponseDetail property.
    Returns:
      possible object is `PalliativeCareResponseDetail`

  - ### setPalliativeCareResponseDetail

    public void setPalliativeCareResponseDetail(PalliativeCareResponseDetail value)
    Sets the value of the palliativeCareResponseDetail property.
    Parameters:
      `value` - allowed object is `PalliativeCareResponseDetail`

  - ### getCareReceiverId

    public ExtCareReceiverStrictIdType getCareReceiverId()
    Gets the value of the careReceiverId property.
    Returns:
      possible object is `ExtCareReceiverStrictIdType`

  - ### setCareReceiverId

    public void setCareReceiverId(ExtCareReceiverStrictIdType value)
    Sets the value of the careReceiverId property.
    Parameters:
      `value` - allowed object is `ExtCareReceiverStrictIdType`

  - ### getMessageFault

    public MessageFaultType getMessageFault()
    Gets the value of the messageFault property.
    Returns:
      possible object is `MessageFaultType`

  - ### setMessageFault

    public void setMessageFault(MessageFaultType value)
    Sets the value of the messageFault property.
    Parameters:
      `value` - allowed object is `MessageFaultType`

  - ### getPalliativeCareDetail

    public PalliativeCareDetail getPalliativeCareDetail()
    Gets the value of the palliativeCareDetail property.
    Returns:
      possible object is `PalliativeCareDetail`

  - ### setPalliativeCareDetail

    public void setPalliativeCareDetail(PalliativeCareDetail value)
    Sets the value of the palliativeCareDetail property.
    Parameters:
      `value` - allowed object is `PalliativeCareDetail`

  - ### getMessageName

    public MessageNameType getMessageName()
    The message name. For Insurability, the possible values are 801000, 801000ERR, 801001 and 801900. This is zone 201 in the flat file version.
    Returns:
      possible object is `MessageNameType`

  - ### setMessageName

    public void setMessageName(MessageNameType value)
    Sets the value of the messageName property.
    Parameters:
      `value` - allowed object is `MessageNameType`
    See Also:
      - `getMessageName()`

  - ### getVersion

    public String getVersion()
    The version number of the message. It defines the format of the child elements and should be 2 digits long. First version = 01 It is required. This is zone 201 in the flat file version.
    Returns:
      possible object is `String`

  - ### setVersion

    public void setVersion(String value)
    Sets the value of the version property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getVersion()`

  - ### isDuplicate

    public boolean isDuplicate()
    A Boolean that indicates if the message is a duplicate. It is required. This is a part of zone 202 in the flat file version.

  - ### setDuplicate

    public void setDuplicate(boolean value)
    Sets the value of the duplicate property.

  - ### isTestFlag

    public boolean isTestFlag()
    A Boolean that indicates if the message is a test message. It is required. This is a part of zone 202 in the flat file version.

  - ### setTestFlag

    public void setTestFlag(boolean value)
    Sets the value of the testFlag property.

  - ### getSenderReference

    public String getSenderReference()
    Contains the message reference of the sender. It is a numeric code of up to 14 characters. It is required. This is zone 204 in the flat file version.
    Returns:
      possible object is `String`

  - ### setSenderReference

    public void setSenderReference(String value)
    Sets the value of the senderReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSenderReference()`

  - ### getReceiverReference

    public String getReceiverReference()
    Should not be provided, only for return messages. This is zone 205 in the flat file version.
    Returns:
      possible object is `String`

  - ### setReceiverReference

    public void setReceiverReference(String value)
    Sets the value of the receiverReference property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getReceiverReference()`

  - ### isSynchronous

    public boolean isSynchronous()
    Determines if the message is received in Synchronous or Asynchronous flow.

  - ### setSynchronous

    public void setSynchronous(boolean value)
    Sets the value of the synchronous property.